Subject: linux-next: manual merge of the modules tree with the compiler-attributes tree

From: Mark Brown <[email-masked]>
Date: Sun, 15 Sep 2019 23:27:20 +0100

Hi all,

Today's linux-next merge of the modules tree got a conflict in:

  include/linux/export.h

between at least commit:

  69a94abb82eed ("export.h, genksyms: do not make genksyms calculate CRC of trimmed symbols")

from the compiler-attributes tree and commit:

  cb9b55d21fe06 ("module: add support for symbol namespaces.")

from the modules tree.

Since this conflcit is non-trivial, it's late and there's a good chance
I'm not going to actually finish building -next today I've just used the
commit from the last time -next was built, 3b5be16c7e90a69c, for the
modules tree - sorry.  I'll have another go tomorrow.  This means none
of the changes in modules-next are in -next as they were all committed
in the past week.